﻿using UnityEngine;
using System.Collections;

public class ptlight1 : MonoBehaviour {
	private Light ptlight;
	float targettime;
	float timer;
	public float flashtime; // seconds

	// Use this for initialization
	void Start () {
		ptlight = GetComponent<Light>();
		ptlight.intensity = 0.0f;
		ptlight.range = 0.0f;

		targettime = 3.0f;
		timer = 0.0f;
		if (flashtime == 0.0f) // in case it hasn't been set
			flashtime = 1.0f;
	
	}
	
	// Update is called once per frame
	void Update () {
		if (Time.time > targettime) {
			float glow = Mathf.PingPong (timer, 1.0f);
			ptlight.intensity = glow;
			ptlight.range = glow * 2.0f;

			timer += (Time.deltaTime * (1.0f / flashtime));
	
			if (timer > 2.0f) { // one ping-pong cycle complete
				targettime = Time.time + 3.0f;
				timer = 0.0f;
			}
		}
	}
}
